# ScanShieldedTrc20NotesByOvk

Scan outgoing notes (spent) (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `start_block_index` - Int32 - <mark style="color:red;">Required</mark> - An integer representing the starting block index for the shielded TRC20 contract events
* `end_block_index` - Int32 - <mark style="color:red;">Required</mark> - An integer representing the ending block index for the shielded TRC20 contract events
* `shielded_TRC20_contract_address` - String - <mark style="color:red;">Required</mark> - The address of the shielded TRC20 contract
* `ovk` - String - <mark style="color:red;">Required</mark> - A string representing the optional viewing key (ovk) for the shielded TRC20 contract
* `visible` - boolean - <mark style="color:red;">Required</mark> - A boolean value indicating whether the events should be visible or not

## **Returns**

`is_spent` - indicates whether the specified shielded TRC20 contract note has been spent or not

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/scanshieldedtrc20notesbyovk \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
      "start_block_index": 434,
      "end_block_index": 567,
      "shielded_TRC20_contract_address": "CONTRACT_ADDRESS",
      "ovk": "OPTICAL_VIEWING_KEY",
      "visible": true
    }
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/tronz-shielded-smart-contract/scanshieldedtrc20notesbyovk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
